openSUSE: 2022:10171-1 important: pdns-recursor | LinuxSecurity.com

   openSUSE Security Update: Security update for pdns-recursor
______________________________________________________________________________

Announcement ID:    openSUSE-SU-2022:10171-1
Rating:             important
References:         #1202664 
Cross-References:   CVE-2022-37428
CVSS scores:
                    CVE-2022-37428 (NVD) : 6.5 CVSS:3.1/AV:N/AC:L/PR:L/UI:N/S:U/C:N/I:N/A:H
                    CVE-2022-37428 (SUSE): 6.5 CVSS:3.1/AV:N/AC:L/PR:L/UI:N/S:U/C:N/I:N/A:H

Affected Products:
                    openSUSE Backports SLE-15-SP4
______________________________________________________________________________

   An update that fixes one vulnerability is now available.

Description:

   This update for pdns-recursor fixes the following issues:

   pdns-recursor was updated to 4.6.3:

   * fixes incomplete exception handling related to protobuf message
     generation (boo#1202664, CVE-2022-37428)

   pdns-recursor was updated to 4.6.2:

   * Reject non-apex NSEC(3)s that have both the NS and SOA bits set
   * A CNAME answer on DS query should abort DS retrieval
   * Allow disabling of processing the root hints
   * If we get NODATA on an AAAA in followCNAMERecords, try native dns64


Patch Instructions:

   To install this openSUSE Security Update use the SUSE recommended installation methods
   like YaST online_update or "zypper patch".

   Alternatively you can run the command listed for your product:

   - openSUSE Backports SLE-15-SP4:

      zypper in -t patch openSUSE-2022-10171=1



Package List:

   - openSUSE Backports SLE-15-SP4 (aarch64 ppc64le x86_64):

      pdns-recursor-4.6.3-bp154.2.3.1
      pdns-recursor-debuginfo-4.6.3-bp154.2.3.1
      pdns-recursor-debugsource-4.6.3-bp154.2.3.1


References:

   https://www.suse.com/security/cve/CVE-2022-37428.html
   https://bugzilla.suse.com/1202664

openSUSE: 2022:10171-1 important: pdns-recursor

October 30, 2022
An update that fixes one vulnerability is now available

Description

This update for pdns-recursor fixes the following issues: pdns-recursor was updated to 4.6.3: * fixes incomplete exception handling related to protobuf message generation (boo#1202664, CVE-2022-37428) pdns-recursor was updated to 4.6.2: * Reject non-apex NSEC(3)s that have both the NS and SOA bits set * A CNAME answer on DS query should abort DS retrieval * Allow disabling of processing the root hints * If we get NODATA on an AAAA in followCNAMERecords, try native dns64

 

Patch

Patch Instructions: To install this openSUSE Security Update use the SUSE recommended installation methods like YaST online_update or "zypper patch". Alternatively you can run the command listed for your product: - openSUSE Backports SLE-15-SP4: zypper in -t patch openSUSE-2022-10171=1


Package List

- openSUSE Backports SLE-15-SP4 (aarch64 ppc64le x86_64): pdns-recursor-4.6.3-bp154.2.3.1 pdns-recursor-debuginfo-4.6.3-bp154.2.3.1 pdns-recursor-debugsource-4.6.3-bp154.2.3.1


References

https://www.suse.com/security/cve/CVE-2022-37428.html https://bugzilla.suse.com/1202664


Severity
Announcement ID: openSUSE-SU-2022:10171-1
Rating: important
Affected Products: openSUSE Backports SLE-15-SP4 . Affected Products: openSUSE Backports SLE-15-SP4 .

Related News

We use cookies to provide and improve our services. By using our site, you consent to our Cookie Policy.